<!DOCTYPE html>
<html lang="zh-cn">
<head>
    <meta name="viewport" content="width=device-width,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <link href="{{cdn_asset('/assets/css/bootstrap.min.css')}}" rel="stylesheet">
    <title>tijian</title>
    <script type="text/javascript">
        (function (doc, win) {
            var docEl = doc.documentElement,
                resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
                recalc = function () {
                    var clientWidth = docEl.clientWidth;
                    if (!clientWidth) return;
                    if(clientWidth>=640){
                        docEl.style.fontSize = '100px';
                    }else{
                        docEl.style.fontSize = 100 * (clientWidth / 640) + 'px';
                    }
                };

            if (!doc.addEventListener) return;
            win.addEventListener(resizeEvt, recalc, false);
            doc.addEventListener('DOMContentLoaded', recalc, false);
        })(document, window);
    </script>
    <style type="text/css">
        .all{
            width: 100%;
            height: auto;
        }
        img{
            width: 50px;
            height: 50px;
            margin-top: 3px;
        }
        h3{
            text-align: center;
        }
        .all .main{
            flex-wrap: wrap;
            display: flex;
        }
        .all .input-group{
            margin:4px 6%;
        }
        .all .danxuan{
            width: 66.66%;
            margin: 4px 16.66%;
        }
        #tanchuang{
            position: fixed;
            z-index: 999;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            background: rgba(0,0,0,0.5);
        }
    </style>
</head>
<body>
<script type="text/javascript">
    var yan = 0;
    var countdown = 60;
    var sending = false;
    function settime(obj) { //发送验证码倒计时
        console.log(obj)

        if (countdown == 0) {
            obj.attr('disabled', false);
            obj.val("发送验证码");
            countdown = 60;
            sending = false;
            return;
        } else {
            obj.attr('disabled', true);
            obj.val("重新发送(" + countdown + ")");
            countdown--;
        }
        setTimeout(function () {
            settime(obj);
        }, 1000)
    }
    function tijiao(){
            var tanc=document.getElementById("tanchuang")
                tanc.style="display:auto;"
        }
    function closeyan(){
        var yanz=document.getElementById("yanz")
        yanz.style="display:none;"
    }
    function yanzhengma(){
        var yanzheng = document.getElementById("yzma")
        yanzheng.style="display:auto;"
        console.log('aaa')
        sending = true;
        var obj = $("#fasong");
        settime(obj);
    }
</script>
<div class="all">
        <div class="col-xs-0 col-lg-2"></div>
        <div class="col-xs-12 col-lg-8 main" style="margin: 0 auto;margin-top: 10px;">
            <div class="col-xs-12 col-lg-12 imgbox" style="width:100%;margin-bottom:20px;display: flex;height: auto;">
                <div  class="col-xs-0 col-lg-2"></div>
                <img  class="col-xs-3 col-lg-1" src="{{cdn_asset('/assets/img/logo.jpg')}}">
                <h3  class="col-lg-8">健康体检服务知情同意书</h3>
            </div>
            
            <form class="bs-example bs-example-form main" role="form">
                <div class="col-xs-12 col-lg-4 input-group input">
                    <span class="input-group-addon">姓名：</span>
                    <input type="text" class="form-control" name="name" placeholder="请输入姓名" required>
                </div>
                <div class="col-xs-12 col-lg-4 input-group input">
                    <span class="input-group-addon">籍贯：</span>
                    <input type="text" class="form-control" name="native_place" placeholder="请输入籍贯" required>
                </div>
                <div class="col-xs-12 col-lg-4 input-group input">
                    <span class="input-group-addon">民族：</span>
                    <input type="text" class="form-control" name="nationality" placeholder="请输入民族" required>
                </div>
                <div class="col-xs-12 col-lg-4 input-group input">
                    <span class="input-group-addon">年龄：</span>
                    <input type="text" class="form-control" name="age" placeholder="请输入年龄" required>
                </div>
                <div class="col-xs-12 col-lg-4 input-group input">
                    <span class="input-group-addon">职业：</span>
                    <input type="text" class="form-control" name="work" placeholder="请输入职业" required>
                </div>
                <div class="col-xs-12 col-lg-4 input-group input">
                    <span class="input-group-addon">邮箱地址：</span>
                    <input type="text" class="form-control" name="email" placeholder="请输入邮箱" required>
                </div>
                <div class="col-xs-12 col-lg-6 input-group">
                    <span class="input-group-addon">住址：</span>
                    <input type="text" class="form-control" name="address" placeholder="请输入住址" required>
                </div>
                <div class="col-xs-12 col-lg-12 input-group" style="display: flex;flex-wrap: wrap;">
                    <div class="col-xs-12 col-lg-6 input-group" style="display: flex;margin:4px 0;">
                        <span style="width: 20%;line-height: 20px;font-size: 10px;" class="input-group-addon">手机号</span>
                        <input style="width: 44%;" type="text" name="phone" class="form-control" placeholder="请输入手机号" required>
                        <input style="width:36%;font-size: 10px;" class="btn btn-default" id="fasong" value="获取验证码" onclick="yanzhengma()"/>
                    </div>
                    <div id="yzma" class="col-xs-12 col-lg-4 input-group" style="margin:4px 0;display: none;">
                        <input style="width: 100%;" type="text" name="yzma" class="form-control" placeholder="请输入验证码" required>
                    </div>
                </div>
                <div class="danxuan">
                    <label for="name">性别：</label>
                    <div>
                        <label class="checkbox-inline">
                            <input name="sex" type="radio" value="nan" checked>男
                        </label>
                        <label class="checkbox-inline">
                            <input name="sex" type="radio" value="nv">女
                        </label>
                    </div>
                    <label for="name">样本类型:</label>
                    <div class="checkbox">
                        <label><input type="radio" value="l1" name="sample_type" checked>EDTA抗凝静脉血</label>
                    </div>
                    <div class="checkbox">
                        <label><input type="radio" value="l2" name="sample_type">口腔拭子</label>
                    </div>
                    <div class="checkbox">
                        <label><input type="radio" value="l3" name="sample_type">宫颈刷</label>
                    </div>
                    <button style="margin-left: 45%;margin-bottom: 20px;" type="button" onclick="" class="btn btn-default">提交</button>
                    </div>
                </div>
                <div id="tanchuang" style="display: none;">
                </div>
            </form>
        </div>
    </div>
<!-- jQuery (Bootstrap 的 JavaScript 插件需要引入 jQuery) -->
<script src="{{cdn_asset('/assets/js/jquery-3.2.1.js')}}"></script>
<script src="{{cdn_asset('/assets/js/bootstrap.min.js')}}"></script>
</body>
</html>